Subject: Re: [dhcwg] Relay Agent Options.

From: Ralph Droms <[email-masked]>
Date: Fri, 03 Dec 2004 09:28:58 -0500

Achint - I assume you're asking about DHCPv6?

Comments in line...

At 01:20 PM 12/3/2004 +0800, Achint Setia wrote:
>Hi,
>
>I have a couple of doubts regarding the Relay Agent Options:-
>
>1. What is the motive behind allowing the relay agent to add options
>    while forwarding the client packet to the server? Are they to be
>    used by the server in configuration selection for the client?

Relay agent options may be used by the server in determining the
configuration of the client or by the relay agent to aid in forwarding the
response from the server to the client (see RFC 3046).

>2. If yes, does that mean that when the server sends back the Relay
>    Reply, the ONLY TWO options that can be included are the Relay
>    Message and the interface id.  I am asking this because I am not
>    sure as to how the relay agent will
>    handle options other than these two in the Relay Reply?

The Relay-reply message contains the message to be forwarded to the client,
and any other options that the server is sending to the relay agent.  See
section 22.10 of RFC 3315 for more detail on the contents of the Relay-reply
message, and sections A and B of RFC 3315 for a table of which options can
appear in which messages.

>Hope someone can clarify them.
>
>Thanks,
>Achint Setia.

- Ralph Droms

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg